-- name: [CS] Paisano Mario Redone
-- description: Hey paisanos ! It's the Super Mario Super Show ! (by 6b)

local E_MODEL_LOUALBANO = smlua_model_util_get_id("loualbano_geo")

local TEXT_MOD_NAME = "[CS] Paisano Mario"

local TEX_LOUALBANO_ICON = get_texture_info("lou_icon")

local VOICETABLE_LOUALBANO = {
    [CHAR_SOUND_ATTACKED] = 'lou_hurt2.mp3',
    [CHAR_SOUND_DOH] = {'lou_hurt.mp3', 'lou_doh.mp3', 'Bump.ogg', 'lou_ohe.mp3'},
    [CHAR_SOUND_DROWNING] = 'lou_die.mp3',
    [CHAR_SOUND_DYING] = 'lou_die.mp3',
    [CHAR_SOUND_GROUND_POUND_WAH] = {'lou_jump_wah2.mp3', 'Thwomp.ogg', 'lou_tia.mp3'},
    [CHAR_SOUND_HAHA] = 'u_got_it.ogg',
    [CHAR_SOUND_HAHA_2] = 'u_got_it.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'Pause.ogg',
    [CHAR_SOUND_HOOHOO] = {'lou_jump_euuh.mp3', 'Super Mario Jump.ogg', 'Frog Mario Jump.ogg', 'lou_jump_hee.mp3'},
    [CHAR_SOUND_HRMM] = 'rien.ogg',
    [CHAR_SOUND_MAMA_MIA] = {'lou_owdi.mp3', 'Death.ogg'},
    [CHAR_SOUND_OKEY_DOKEY] = {'u_got_it.mp3', 'come_on_now.mp3'},
    [CHAR_SOUND_LETS_A_GO] = {'u_got_it.mp3', 'come_on_now.mp3'},
    [CHAR_SOUND_ON_FIRE] = {'lou_hurt3.mp3', 'lou_hurt2.mp3', 'Fire.ogg', 'lou_aieaieaieaie.mp3'},
    [CHAR_SOUND_OOOF] = 'rien.ogg',
    [CHAR_SOUND_OOOF2] = 'rien.ogg',
    [CHAR_SOUND_PUNCH_HOO] = {'Kick.ogg', 'Fireball.ogg', 'lou_tia.mp3', 'lou_jump_yoh.mp3'},
    [CHAR_SOUND_PUNCH_WAH] = {'lou_jump_wah.mp3', 'lou_jump_yo.mp3', 'lou_jump_wah2.mp3', 'lou_jump_wah3.mp3', 'lou_jump_ha.mp3', 'lou_jump_eh.mp3'},
    [CHAR_SOUND_PUNCH_YAH] = {'lou_jump_wah.mp3', 'lou_jump_yo.mp3', 'lou_jump_wah2.mp3', 'lou_jump_wah3.mp3', 'lou_jump_ha.mp3', 'lou_jump_eh.mp3'},
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'come_on_now.mp3',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'rien.ogg',
    [CHAR_SOUND_UH] = {'Bump.ogg', 'lou_ohe.mp3', 'punch.ogg'},
    [CHAR_SOUND_UH2] = {'Bump.ogg', 'lou_ohe.mp3', 'punch.ogg'},
    [CHAR_SOUND_WAAAOOOW] = 'rien.ogg',
    [CHAR_SOUND_WAH2] = {'Kick.ogg', 'Fireball.ogg', 'lou_tia.mp3'},
    [CHAR_SOUND_WHOA] = 'rien.ogg',
    [CHAR_SOUND_YAHOO] = {'wahoo2.mp3', 'wahoo.mp3', 'Transformation.ogg', 'Super Mario Jump.ogg', 'do_the_mario.mp3', 'come_on_now.mp3'},
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'do_the_mario.mp3', 'come_on_now.mp3', 'Correct Match Card.ogg', 'Frog Mario Jump.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'lou_jump_wah.mp3', 'lou_jump_yo.mp3', 'lou_jump_wah2.mp3', 'lou_jump_wah3.mp3', 'lou_jump_ha.mp3', 'lou_jump_eh.mp3'},
    [CHAR_SOUND_PRESS_START_TO_PLAY] = 'rien.ogg',
    [CHAR_SOUND_PANTING_COLD] = 'rien.ogg',
    [CHAR_SOUND_PANTING] = 'rien.ogg',
    [CHAR_SOUND_YAWNING] = 'rien.ogg',
    [CHAR_SOUND_UH2_2] = 'rien.ogg',
}

if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("Mario (Lou Albano)", {"Hey Paisanos, ", "Don't do drugs kids. Please."}, "6b", {r = 255, g = 0, b = 0}, E_MODEL_LOUALBANO, CT_MARIO, TEX_LOUALBANO_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_LOUALBANO, VOICETABLE_LOUALBANO)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_LOUALBANO then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_LOUALBANO then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end